#!/bin/awk -f
# Take a list of filenames and convert the SCG/GDC extent into
# 	a sortable format. See create_names.awk for undoing this
#	conversions.
#
# Modif J.S.Charters Jan96  Add ability to process two dumps
#	in one day.  Handle the file.95jan04.1 format.
# Modif J.S.Charters Jan2000 change year from 2 digits to 4 digits
#
BEGIN{
}
{

	split ($9,name,".")
	if (FILETYPE == name[1]) {
		year = substr(name[2],1,4);
		mnth = substr(name[2],5,2);
		day = substr(name[2],7,2);
		time = name[3]
	} else {
		next;
	}
	printf "%04d%02d%02d.%s.%s\n",year,mnth,day,time,FILETYPE
}
