#include <time.h>

time_t caluxs(iyr, jday, mon, iday, ihr, imin, isec )
int iyr, jday, mon, iday, ihr, imin, isec;
{
    time_t uxtime;
    /* Initialized data */

    static int julday[12] = { 0,31,59,90,120,151,181,212,243,273,304,334 };
    static int jyear, nodays;

    if (iyr < 100) {
	jyear = iyr + 1900;
    } else {
	jyear = iyr;
    }

/* 	compute the julian day */

    jday = julday[mon - 1] + iday;
    if (jyear % 4 == 0 && mon > 2) {
	++(jday);
    }

/* 	compute unix time */

    nodays = (jyear - 1970) * 365 + (jyear - 1969) / 4 + (jday - 1);

    uxtime = ((nodays * 24 + ihr) * 60 + imin) * 60 + isec;
    return uxtime;
} 

